For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETSearch jurisdictions
        • GETFetch supported local jurisdictions
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementJurisdictions

Search jurisdictions

GET
https://api.middesk.com/v1/agent/jurisdictions/search
GET
/v1/agent/jurisdictions/search
$curl https://api.middesk.com/v1/agent/jurisdictions/search \
> -H "Authorization: Bearer <token>"
200Ohio jurisdictions search
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "agent_jurisdiction",
6 "slug": "cincinnati_city_tax",
7 "name": "Cincinnati City Tax",
8 "state": "OH",
9 "type": "City Tax",
10 "label": "Cincinnati",
11 "agency_name": "Cincinnati Income Tax Division",
12 "agency_slug": "oh_cincinnati_city",
13 "agency_items": [
14 "Cincinnati Account Number"
15 ],
16 "city": "Cincinnati"
17 }
18 ],
19 "url": "/v1/agent/jurisdictions/search",
20 "has_more": false,
21 "total_count": 1
22}
Search for jurisdictions by name, PSD code, or other criteria. Supports filtering by state, tax type, and jurisdiction type. Results are paginated.
Was this page helpful?
Previous

Fetch supported local jurisdictions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statestringOptional

Two-letter US state abbreviation (e.g., OH, PA)

qstringOptional

Search query (name, PSD code, or municipality)

pageintegerOptional
Page number for pagination
per_pageintegerOptional
Number of results per page
tax_typestringOptional

Filter by tax type (e.g., CITY, EIT, LST)

local_onlystringOptional
When true, returns only local jurisdictions
supported_onlystringOptional
When true, returns only supported jurisdictions
slugstringOptional
Filter by jurisdiction slug

Response

jurisdictions search results
objectstring
datalist of objects
urlstring
has_moreboolean
total_countinteger